{
  "extends": "./tsconfig-google.json",
  "compilerOptions": {
    "checkJs": true,
    "target": "esnext",
    "module": "esnext",
    "allowJs": true,
    "noEmit": true,
    "strictNullChecks": true,
    "moduleResolution": "node",
    "lib": ["esnext.array", "esnext", "es2017", "dom"],
    "declaration": true,
    "declarationMap": true,
    "sourceMap": true,
    "inlineSources": true,
    "strict": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "noImplicitAny": true,
    "noImplicitThis": true,
    "resolveJsonModule": true,
    "outDir": "./",
    // Only necessary because @types/uglify-js can't find types for source-map
    "skipLibCheck": true,
    "experimentalDecorators": true
  },
  "exclude": [
    "node_modules",
    "**/node_modules/*",
    "dist",
    "**/dist",
    "coverage",
    "**/coverage",
    "./*.js",
    "__archive",
    "example",
    "test",
    "test/**",
    "public",
    "docs",
    "hugo"
  ]
}
